html {
  overflow-x: hidden;
  margin-right: calc(-1 * (100vw - 100%));
}

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

h4 {
  font-weight: 500;
}

.app {
  text-align: center;
  max-width: 1100px;
  margin: 0 auto;
}

.app-header {
  min-height: 10vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
  border-bottom: 1px solid #282c34;
}

.nav {
  display: flex;
  list-style: none;
}

.nav-link {
  color: #282c34;
  text-decoration: none;
  margin-right: 20px;
  opacity: 0.6;
  transition: opacity .3s;
}

.nav-link-active {
  opacity: 1;
}

.container {
  padding-top: 20px;
}

.filter-input {
  padding: 5px;
  border: none;
  border-bottom: 1px solid #282c34;
  outline: none;
}

.select-container {
  margin-top: 100px;
  padding: 33px;
}

.select-box {
  display: flex;
  width: 400px;
  margin: 0 auto;
  flex-direction: column;
}

.select-box .options-container {
  max-height: 0;
  background: #282c34;
  color: azure;
  width: 100%;
  transition: all .3s;
  border-radius: 8px;
  overflow: hidden;
  overflow-y: scroll;
  opacity: 0;
  order: 1;
}

.select-box .options-container.active {
  max-height: 300px;
  opacity: 1;
}

.selected {
  background: #2f3640;
  border-radius: 8px;
  margin-bottom: 8px;
  color: azure;
  position: relative;
  order: 0;
}

.selected::after {
  content: "";
  background-size: contain;
  //background: url("./src/assets/img/arrow-down-sign-to-navigate.svg") no-repeat;

  position: absolute;
  height: 100%;
  width: 32px;
  right: 10px;
  top: 5px;
  transition: all .4s;
}

.select-box .options-container::-webkit-scrollbar {
  width: 8px;
  background: #0d141f;
  border-radius: 0 8px 8px 0;
}

.select-box .options-container::-webkit-scrollbar-thumb {
  background: #525861;
  border-radius: 0 8px 8px 0;
}

.select-box .option,
.selected {
  padding: 12px 24px;
  cursor: pointer;
}

.select-box .option:hover {
  background: rebeccapurple;
}

.select-box .option .radio {
  display: none;
}

.select-box .option.active {
  color: #ff0000;
}

.select-box label {
  cursor: pointer;
}

.message {
  position: relative;
  max-width: 700px;
  background: rgba(67,194,236,0.27);
  margin: 15px auto;
  border-radius: 15px;
  padding: 5px;
}

.date {
  font-size: 12px;
  position: absolute;
  top: 10px;
  right: 10px;
}